Skip to content
POST /scim-token

Request Body

namestring

A descriptive name for the token.

Example: Okta provisioning
team_idstring · uuid

The ID of the team this token belongs to.

Example: 05daecaf-4365-42e8-8370-8127de5dd717

Response Body

created_atstring · date-time

The date and time when the token was created.

Example: 2021-08-10T10:00:00.000Z
created_bystring · uuid

The ID of the user who created this token.

Example: b7bb7578-bff2-42b2-a57f-46c874865296
idstring · uuid

The ID of the SCIM token.

Example: 1ba1f401-7183-47c5-9e39-e8e257e3c795
last_used_atstring · date-time

The date and time the IdP last authenticated against /scim/v2 with this token. Null if never used.

Example: 2021-08-12T09:15:00.000Z
namestring

A descriptive name for the SCIM token.

Example: Okta provisioning
team_idstring · uuid

The ID of the team that owns this SCIM token.

Example: 05daecaf-4365-42e8-8370-8127de5dd717
tokenstring

Show-once SCIM bearer token; store it now, it cannot be retrieved later.

Example: scim_live_abc123def456ghi789
updated_atstring · date-time

The date and time when the token was last updated.

Example: 2021-08-10T10:30:00.000Z
curl -X POST 'https://api.truto.one/scim-token' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "team_id": "05daecaf-4365-42e8-8370-8127de5dd717",
  "name": "Okta provisioning"
}'
const body = {
  "team_id": "05daecaf-4365-42e8-8370-8127de5dd717",
  "name": "Okta provisioning"
};

const response = await fetch('https://api.truto.one/scim-token', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/scim-token"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}
payload = {
    "team_id": "05daecaf-4365-42e8-8370-8127de5dd717",
    "name": "Okta provisioning"
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())